package com.engine.salary.mapper.salarybill;

import com.engine.salary.entity.salaryBill.po.SalaryBillWatermarkPO;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName SalaryBillWatermarkMapper
 * @date 2023/06/09 11:13
 * @description
 */
public interface SalaryBillWatermarkMapper {
    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryBillWatermarkPO> listAll();

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryBillWatermarkPO> listSome(SalaryBillWatermarkPO salaryBillWatermark);


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalaryBillWatermarkPO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param salaryBillWatermark 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalaryBillWatermarkPO salaryBillWatermark);

    /**
     * 修改，修改所有字段
     *
     * @param salaryBillWatermark 修改的记录
     * @return 返回影响行数
     */
    int update(SalaryBillWatermarkPO salaryBillWatermark);

    /**
     * 修改，忽略null字段
     *
     * @param salaryBillWatermark 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalaryBillWatermarkPO salaryBillWatermark);

    /**
     * 删除记录
     *
     * @param salaryBillWatermark 待删除的记录
     * @return 返回影响行数
     */
    int delete(SalaryBillWatermarkPO salaryBillWatermark);

    /**
     * 删除所有生效水印记录
     */
    void deleteAll();
}
